Page MenuHomePhabricator

[OPENMP]Fix test for ARM, NFC.
AbandonedPublic

Authored by ABataev on Jul 3 2020, 7:14 AM.

Details

Reviewers
grokos
jdoerfert
Summary

Need to provide additional -fPIC option to be able to run the test on
ARM platform. Reported and confirmed by Itaru Kitayama.

Diff Detail

Event Timeline

ABataev created this revision.Jul 3 2020, 7:14 AM
grokos accepted this revision.Jul 6 2020, 10:12 AM

Looks good. Do we know why the test doesn't run without -fPIC?

This revision is now accepted and ready to land.Jul 6 2020, 10:12 AM

Looks good. Do we know why the test doesn't run without -fPIC?

Looks like specific behavior for ARM. -shared requires -fPIC

ABataev abandoned this revision.Sep 16 2020, 5:13 AM